<template>
  <info-card title="Información general">
    <v-container fluid>
      <info-field field="Fecha y hora de salida">
        <v-text-field
          label=""
          :value="toLocalDate(dispatch.departureTime)"
          outlined
          readonly
        />
      </info-field>
      <info-field field="Vehículos necesarios">
        <v-text-field
          label=""
          hint="La cantidad de vehículos es calculada por el sistema"
          :value="cantVehicles"
          outlined
          readonly
          persistent-hint
        />
      </info-field>
    </v-container>
  </info-card>
</template>

<script>
import { mapState } from 'vuex';
import InfoCard from '~/components/Common/Info/InfoCard';
import InfoField from '~/components/Common/Info/InfoField';
import { toLocalDate } from '~/helpers/format/time';

export default {
  name: 'GeneralInfo',
  components: {
    InfoCard,
    InfoField,
  },
  computed: {
    ...mapState({
      dispatch: state => state.programming.dispatches.current.dispatch,
    }),
    cantVehicles() {
      return this.dispatch.neededVehicles ?? 'Calculando';
    },
  },
  methods: {
    toLocalDate,
  },
};
</script>
